import { defineConfig, loadEnv } from 'vite'
import { svelte } from '@sveltejs/vite-plugin-svelte'
import { resolve } from 'path'
const env = { ...loadEnv(null, process.cwd())}


// https://vitejs.dev/config/
export default defineConfig({
  plugins: [svelte()],

  server: {
    host: '0.0.0.0',
    watch: { usePolling: true },
    port: env.VITE_PORT,
    hmr: { clientPort: env.VITE_PORT_WS || env.VITE_PORT }
  },

  resolve: {
    alias: {
      "$": resolve("./src"),
    }
  }
})
